#include<bits/stdc++.h>
#include<string.h>
using namespace std;
int main()
{
    long long n,chetni=0,nechetni=0;
    cin>>n;
    long long nums[n];
    for(int i=0; i<n; i++)cin>>nums[i];

    for(int i=0; i<n; i++)
    {
        if(nums[i]%2==0)
        {
            chetni++;
        }
        else
        {
            nechetni++;
        }
    }
    cout<<nechetni<<" "<<chetni;
}
